slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetType

Selects the particular solver to be used in the MFN object.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetType(MFN mfn,MFNType type)

Logically Collective

### Input Parameters

| mfn | - the matrix function context
| type | - a known method

### Options Database Key

| -mfn_type <method> | - Sets the method; use -help for a list of available methods

### Notes

See "slepc/include/slepcmfn.h" for available methods. The default is MFNKRYLOV

Normally, it is best to use the MFNSetFromOptions() command and then set the MFN type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different available methods. The MFNSetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database.

### See Also

MFNType

### Level

intermediate

### Location

src/mfn/interface/mfnbasic.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages